> ## Documentation Index
> Fetch the complete documentation index at: https://docs.munsit.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Minutes of Meeting Transcriber

> Upload meeting audio and receive structured transcription output.

## Endpoint

`POST /minutes-of-meeting/transcribe`

## Authentication

```bash theme={null}
x-api-key: YOUR_MUNSIT_API_KEY
```

## Request

`multipart/form-data`

| Field   | Type   | Required | Description                                                                                       |
| ------- | ------ | -------- | ------------------------------------------------------------------------------------------------- |
| `file`  | file   | Yes      | Meeting recording audio file                                                                      |
| `model` | string | No       | ASR model to use: `munsit` (default) or `munsit-en-ar` (mixed Arabic-English with code-switching) |

## Response

| Field             | Type                                      | Description               |
| ----------------- | ----------------------------------------- | ------------------------- |
| `transcriptionId` | number                                    | Meeting transcription ID  |
| `transcription`   | string                                    | Full transcript           |
| `duration`        | number                                    | Audio duration in seconds |
| `timestamps`      | array of objects (`word`, `start`, `end`) | Word-level timing         |


## OpenAPI

````yaml POST /minutes-of-meeting/transcribe
openapi: 3.1.0
info:
  title: Munsit API
  description: >-
    Munsit - First True Arabic Voice AI that speaks Dialects From Abu Dhabi to
    Rabat with Voice Cloning & On-prem support
  version: 1.0.0
servers:
  - url: https://api.munsit.com/api/v1
    description: Global production server
  - url: https://ae.api.faseeh.ai/api/v1
    description: UAE regional server
security:
  - apiKeyAuth: []
paths:
  /minutes-of-meeting/transcribe:
    post:
      tags:
        - Speech-to-Text
      summary: Transcribe Minutes of Meeting
      description: Upload meeting audio and receive structured transcription output.
      operationId: transcribeMinutesOfMeeting
      requestBody:
        required: true
        content:
          multipart/form-data:
            schema:
              type: object
              required:
                - file
              properties:
                file:
                  type: string
                  format: binary
                  description: Meeting audio file
                model:
                  type: string
                  enum:
                    - munsit
                    - munsit-en-ar
                  default: munsit
                  description: ASR model to use. Defaults to munsit.
      responses:
        '200':
          description: Meeting transcription created successfully
        '400':
          description: Bad Request
        '401':
          description: Unauthorized - Invalid or missing API key
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: API key for authentication

````